Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Engine_Standard

    java.lang.Object
      rdlc.sw.Engine_Standard

All Implemented Interfaces:
  Engine

Direct Known Subclasses:
  FIFOEngine

    public abstract class Engine_Standard

extends java.lang.Object
implements Engine

Standard engine generator class from which most engines can inherit.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Field Summary
`protected boolean` | `accurateSim` Is this a timing accurate simulation?
`protected Log` | `errorLog` Log of errors to be reported to the user.
`protected Expression_Operation` | `newExpression` Expression for creating a new copy of this link.

Constructor Summary
`Engine_Standard(boolean _accurateSim, Log _errorLog)` Default constructor, merely saves it's arguments.

Method Summary
`Type_Reference` | `generate(Library library, java.lang.String name, Namespace namespace)` Generate the engine class with the given name and in the given namespace.
`abstract LibraryClass` | `getLibClass(Library library, ErrorLocation errorLocation)` Simple accessor.
`Expression` | `getNew()` Simple accessor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newExpression

    protected Expression_Operation newExpression

  Expression for creating a new copy of this link.

### accurateSim

    protected boolean accurateSim

  Is this a timing accurate simulation?

### errorLog

    protected Log errorLog

  Log of errors to be reported to the user.

Constructor Detail

### Engine_Standard

    public Engine_Standard(boolean _accurateSim,
                           Log _errorLog)

  Default constructor, merely saves it's arguments.

  Parameters:
    `_accurateSim` - Is this a timing accurate simulation?
    `_errorLog` - Log of errors to be reported to the user.

Method Detail

### generate

    public Type_Reference generate(Library library,
                                   java.lang.String name,
                                   Namespace namespace)

  Description copied from interface: `Engine`
  Generate the engine class with the given name and in the given namespace. This is a very simple interface since most of the work of simulation setup must be done at run time through the engine interface that the class generated by this method must support.

  Specified by:
    `generate` in interface `Engine`
  Parameters:
    `library` - The library from which this generator can load classes.
    `name` - The name to use for this engine.
    `namespace` - The namespace to generate the engine in.
  Returns:
    The type of the class which implements the engine.
  See Also:
    `Engine.generate(Library, String, Namespace)`

### getNew

    public Expression getNew()

  Description copied from interface: `Engine`
  Simple accessor

  Specified by:
    `getNew` in interface `Engine`
  Returns:
    An expression which creates a new copy of this link.
  See Also:
    `Engine.getNew()`

### getLibClass

    public abstract LibraryClass getLibClass(Library library,
                                             ErrorLocation errorLocation)

  Simple accessor.

  Parameters:
    `library` - The libary from which to load the pre-implemented link class.
    `errorLocation` - Where to report any errors as coming from.
  Returns:
    The pre-implemented link class from the library.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD